List webhooks

List webhooks. View request and response details for this Samva email API endpoint.

GET
/v1/webhooks

Returns the organization's webhook endpoints, oldest first, with each endpoint's delivery counts, optionally filtered by a search term matched against name and URL, and by status. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
search?string
status?string
Value in"active""disabled"

Response Body

WebhookEndpointPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.webhooks.list({});
Example Response
{  "items": [    {      "id": "string",      "name": "string",      "url": "string",      "eventTypes": [        "message.sent"      ],      "channels": [        "sms"      ],      "mailboxIds": [        "string"      ],      "namespaceId": "string",      "status": "active",      "hasCustomHeaders": true,      "failureStartedAt": "string",      "lastSucceededAt": "string",      "createdAt": "string",      "updatedAt": "string",      "deliveries": {        "total": 0,        "pending": 0,        "delivered": 0,        "exhausted": 0,        "cancelled": 0      }    }  ],  "nextCursor": "string"}

Related documentation